New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We鈥檒l occasionally send you account related emails.

Already on GitHub? Sign in to your account

ts-api-guardian doesn't understand/follow transitive bazel dependencies #28057

Open
IgorMinar opened this Issue Jan 10, 2019 · 0 comments

Comments

Projects
None yet
1 participant
@IgorMinar
Copy link
Member

IgorMinar commented Jan 10, 2019

馃悶 bug report

Affected Package

The issue is caused by package @angular/....

ts-api-guardian

Description

A clear and concise description of the problem...

ts-api-guardian doesn't follow transitive bazel dependencies automatically, so after we split up //packages/core/src into bazel sub-packages we now have to explicitly specify all transitive deps. This should not be necessary.

馃敩 Minimal Reproduction

See: public_api_guard/BUILD.bazel change in https://github.com/angular/angular/pull/28028/files#diff-e3636bed18e8113bcb42dd2d864d96d8R12

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment